package com.diagbot.enums;

import com.diagbot.core.KeyedNamed;
import lombok.Setter;

/**
 * @Description: 推送类型
 * @Author:zhaops
 * @time: 2019/3/14 11:28
 */
public enum FeatureTypeEnum implements KeyedNamed {
    Feature_Type_Symptom(1, "症状"),
    Feature_Type_Past(1,"既往史"),
    Feature_Type_Other(3, "其他史"),
    Feature_Type_Vital(4, "查体"),
    Feature_Type_Lis(5, "化验"),
    Feature_Type_Pacs(6, "辅检"),
    Feature_Type_Disease(7, "诊断"),
    Feature_Type_Treat(8, "治疗"),
    Feature_Type_ManagementEvaluation(11, "管理评估"),
    Feature_Type_Scale(21, "量表"),
    Feature_Type_Indication(22, "指标");

    @Setter
    private Integer key;

    @Setter
    private String name;

    FeatureTypeEnum(Integer key, String name) {
        this.key = key;
        this.name = name;
    }

    public static FeatureTypeEnum getEnum(Integer key) {
        for (FeatureTypeEnum item : FeatureTypeEnum.values()) {
            if (item.key == key) {
                return item;
            }
        }
        return null;
    }

    public static String getName(Integer key) {
        FeatureTypeEnum item = getEnum(key);
        return item != null ? item.name : null;
    }

    @Override
    public int getKey() {
        return key;
    }

    @Override
    public String getName() {
        return name;
    }
}
